Description

This ticket should be the replacement of #2001 and are notes to be considered when the remaining Postgis Manager features will be

ported into DB Manager.

*) In a postgis layer if I add/edit a column with the "postgis manager", the attribute table is not immediately updated. This doesn't happens

if the column is added trough "Properties -> Attributes".

*) If I delete a postgis column with the "postgis manager" and the I open the attributes table, the column is still there filled with "NULL"

values. If I reload the layer the column is gone. Does not happen if the operation is done trough the qgis vector properties.

*) When adding/editing a column I get always an error if I try to define the length of the field. It seems that doesn't happens just with the

"char" data type.

*) When creating a new column, the "can be null" checkbox is selected by default, nevertheless I suggest that with datatypes that "cannot

be null" to make the checkbox not active to avoid people uncheck it.

*) When creating a new column make the selection of datatype consistent with the ones available when adding a new column in the qgis

vector properties (actually they list/nomenclature of datatypes is different)

*) When adding/editing a new column of a type that is text, then if selecting the "default value" option there is a bug. The query misses the

" ' " around the string and so the operation fails. Example

ALTER TABLE "public".distritos ADD teste varchar NULL DEFAULT puppa

but is should be

ALTER TABLE "public".distritos ADD teste varchar NULL DEFAULT 'puppa'

Related issues:

Related to QGIS Application - Bug report # 2001: Postgis Manager notes for en... Closed

History

#1 - 2013-01-18 01:34 AM - Giovanni Manghi

- Project changed from 27 to QGIS Application

#2 - 2013-01-18 01:37 AM - Giovanni Manghi

- Category set to DB Manager

#3 - 2013-01-18 01:43 AM - Giovanni Manghi

- Assignee deleted (Giuseppe Sucameli)

#4 - 2014-06-20 06:16 AM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Open to Closed

will eventually file separate tickets.
